> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt. # Create crawl job POST https://api.elevenlabs.io/v1/convai/knowledge-base/crawl Content-Type: application/json Create a crawl job to crawl the given URL with specified depth and page limits. Reference: https://elevenlabs.io/docs/eleven-agents/api-reference/knowledge-base/create-crawl-job ## Servers - `https://api.elevenlabs.io` (Production, default) - `https://api.us.elevenlabs.io` (Production US) - `https://api.eu.residency.elevenlabs.io` (Production EU) - `https://api.in.residency.elevenlabs.io` (Production India) - `https://api.sg.residency.elevenlabs.io` (Production Singapore) ## Request ### Body (application/json) This endpoint expects an object. - `url` (string, required) — URL to a page of documentation that the agent will have access to in order to interact with users. - `max_pages` (integer, optional, default: 1000) — Maximum number of pages to crawl (1-10,000), defaults to 1000. - `pattern` (string, optional) — If set, only URLs that match this pattern are included. - `sitemap_urls` (list of string, optional) — List of URLs to crawl from sitemap (optional, overrides automatic URL discovery). - `parent_folder_id` (string, optional) — If set, the created document or folder will be placed inside the given folder. - `enable_auto_sync` (boolean, optional, default: false) — Whether to enable auto-sync for this URL document. - `auto_remove` (boolean, optional, default: false) — Whether to automatically remove the document if the URL becomes unavailable. Only applicable when auto-sync is enabled. - `auto_discover` (boolean, optional, default: false) — Automatically discover and add new pages linked from already-crawled pages during auto-sync. Requires enable_auto_sync=true. - `minimum_frequency_days` (integer, optional) — Minimum frequency (in days) at which the underlying eligible documents are refreshed. The actual interval may be shorter, never longer. Defaults to 7, tightened to the parent folder's frequency if that is stricter. Only applicable when auto-sync is enabled. - `max_depth` (integer, optional, default: 3, deprecated) — Deprecated - this field is a no-op and will be removed in a future version. ## Response ### 200 Successful Response - `id` (string, required) - `type` (enum, required, default: discovery) - Allowed values: `discovery`, `sitemap` - `root_folder_id` (string, required) - `status` (string, required) - `created_at` (integer, required) - `folder_path` (list of KnowledgeBaseFolderPathSegmentSummaryResponseModel, optional) — The folder path segments leading to the root folder, from root to parent folder. ## Errors ### 422 Crawl Jobs Create Request Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### KnowledgeBaseFolderPathSegmentSummaryResponseModel - `id` (string, required) ### ValidationError - `loc` (list of ValidationErrorLocItem, required) - `msg` (string, required) - `type` (string, required) ### ValidationErrorLocItem ## Examples **Request** ```json { "url": "url" } ``` **Response** ```json { "id": "id", "type": "discovery", "root_folder_id": "root_folder_id", "status": "status", "created_at": 1, "folder_path": [ { "id": "id" } ] } ``` **SDK Code** ```python import requests url = "https://api.elevenlabs.io/v1/convai/knowledge-base/crawl" payload = { "url": "url" } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.elevenlabs.io/v1/convai/knowledge-base/crawl'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"url":"url"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.elevenlabs.io/v1/convai/knowledge-base/crawl" payload := strings.NewReader("{\n \"url\": \"url\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.elevenlabs.io/v1/convai/knowledge-base/crawl") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"url\": \"url\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.elevenlabs.io/v1/convai/knowledge-base/crawl") .header("Content-Type", "application/json") .body("{\n \"url\": \"url\"\n}") .asString(); ``` ```php request('POST', 'https://api.elevenlabs.io/v1/convai/knowledge-base/crawl', [ 'body' => '{ "url": "url" }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.elevenlabs.io/v1/convai/knowledge-base/crawl"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"url\": \"url\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = ["url": "url"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/convai/knowledge-base/crawl")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > ElevenLabs provides APIs and SDKs for text to speech, voice cloning, speech to text, sound effects, voice isolator, voice changer, and conversational AI agents. Build voice-enabled applications with lifelike audio generation.